import click
from .command import StatusCommand


def register_status_command(admin):
    @admin.command()
    @click.option("-d", "--drone", "drones", multiple=True, help="Slugs or ID of drone(s) to control (repeatable)")
    @click.pass_context
    def status(ctx, drones):
        """Display Wurker status"""

        logger = ctx.obj.get("logger")
        cmd = StatusCommand(logger=logger)
        cmd.run(drones=drones)
